Package org.spongepowered.asm.mixin.transformer

## Class ClassInfo.FrameData

- java.lang.Object
- - org.spongepowered.asm.mixin.transformer.ClassInfo.FrameData

Enclosing class:
  ClassInfo

    public static class ClassInfo.FrameData
    extends java.lang.Object

Information about frames in a method

### Field Summary

Fields
`int` `index` Frame index
`int` `locals` Frame local count
`int` `rawSize` Fabric: non-adjusted frame size for legacy support
`int` `size` Frame local size
`int` `type` Frame type

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### index

    public final int index

Frame index

#### type

    public final int type

Frame type

#### locals

    public final int locals

Frame local count

#### size

    public final int size

Frame local size

#### rawSize

    public final int rawSize

Fabric: non-adjusted frame size for legacy support

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`